## AgsFxPeakChannel

AgsFxPeakChannel — fx peak channel

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FX_PEAK_CHANNEL_INPUT_DATA()
#define | AGS_FX_PEAK_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()
AgsFxPeakChannelInputData * | ags_fx_peak_channel_input_data_alloc ()
void | ags_fx_peak_channel_input_data_free ()
AgsFxPeakChannel * | ags_fx_peak_channel_new ()

## Properties

AgsPort * | peak | Read / Write

## Types and Values

struct | AgsFxPeakChannelInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxPeakChannel

## Includes

    #include <ags/audio/fx/ags_fx_peak_channel.h>

## Description

The AgsFxPeakChannel class provides ports to the effect processor.

## Functions

### AGS_FX_PEAK_CHANNEL_INPUT_DATA()

    #define AGS_FX_PEAK_CHANNEL_INPUT_DATA(ptr) ((AgsFxPeakChannelInputData *)(ptr))

### AGS_FX_PEAK_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()

    #define AGS_FX_PEAK_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX(ptr) (&(((AgsFxPeakChannelInputData *)(ptr))->strct_mutex))

### ags_fx_peak_channel_input_data_alloc ()

    AgsFxPeakChannelInputData *
    ags_fx_peak_channel_input_data_alloc ();

Allocate AgsFxPeakChannelInputData

#### Returns

the new AgsFxPeakChannelInputData

Since: 3.3.0

### ags_fx_peak_channel_input_data_free ()

    void
    ags_fx_peak_channel_input_data_free (AgsFxPeakChannelInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxPeakChannelInputData |

Since: 3.3.0

### ags_fx_peak_channel_new ()

    AgsFxPeakChannel *
    ags_fx_peak_channel_new (AgsChannel *channel);

Create a new instance of AgsFxPeakChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxPeakChannel

Since: 3.3.0

## Types and Values

### struct AgsFxPeakChannelInputData

    struct AgsFxPeakChannelInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      void *buffer;
    };

## Property Details

### The `“peak”` property

      “peak”                     AgsPort *

The beats per minute.

Owner: AgsFxPeakChannel

Flags: Read / Write

Since: 3.3.0